Subject: bug#23745: closed (Re: bug#23745: 25.0.94; Org: (pop-to-mark-command) doesn't work when using (org-open-at-point) to visit a same-file link)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Feb 2018 00:11:02 +0000

Your bug report

#23745: 25.0.94; Org: (pop-to-mark-command) doesn't work when using (org-open-at-point) to visit a same-file link

which was filed against the emacs,org-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23745: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23745
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23745: 25.0.94; Org: (pop-to-mark-command) doesn't work when using (org-open-at-point) to visit a same-file link
From: Nicolas Goaziou <[email-masked]>
To: Dima Kogan <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Feb 2018 01:10:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Dima Kogan <[email-masked]> writes:

> Hi. Consider this org-mode file:
>
> =====================
> * aaaa
> bbbbb
>
> * cccc
> [[aaaa]]
> =====================
>
> With the point at the [[aaaa]] link, I can visit the aaaa heading with
> C-c C-o (org-open-at-point), and I can go back to where I was with the
> org-specific C-c & (org-mark-ring-goto). But I should also be able to go
> back with C-u C-SPC (effectively pop-to-mark-command), since that works
> for inside-the-same-buffer jumps in all other emacs context, including
> non-org ones. I suspect all we would need to do is to
> (push-mark-command) before we jump in (org-open-at-point). Is this
> simply forgotten, or was it omitted on purpose? If the former, I'll post
> a patch.

Fixed.

Now `org-mark-ring-push' also calls `push-mark'. Ultimately, I think the
latter should replace former, although navigation with Org dedicated
mark ring is still slightly easier (e.g., no distinction between global
and local rings).

Thank you.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738

Subject: 25.0.94; Org: (pop-to-mark-command) doesn't work when using (org-open-at-point) to visit a same-file link
From: Dima Kogan <[email-masked]>
To: [email-masked]
Date: Fri, 10 Jun 2016 17:05:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi. Consider this org-mode file:

=====================
* aaaa
bbbbb

* cccc
[[aaaa]]
=====================

With the point at the [[aaaa]] link, I can visit the aaaa heading with
C-c C-o (org-open-at-point), and I can go back to where I was with the
org-specific C-c & (org-mark-ring-goto). But I should also be able to go
back with C-u C-SPC (effectively pop-to-mark-command), since that works
for inside-the-same-buffer jumps in all other emacs context, including
non-org ones. I suspect all we would need to do is to
(push-mark-command) before we jump in (org-open-at-point). Is this
simply forgotten, or was it omitted on purpose? If the former, I'll post
a patch.

dima